package semfly.tests.agents;

import semfly.globals.DFAdapter;
import semfly.log.LogWriter;
import jade.core.behaviours.OneShotBehaviour;

/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 *
 * This class is responsible for testing DFAdapter class.
 */
public class TestDFAdapter extends OneShotBehaviour
{
    private boolean testSucceeded = true;
    
    /**
     * Runs tests.
     */
    public void action()
    {
        testSearchDF_Nulls();
        
        System.out.print("TestDFAdapter - TESTS ");
        if (testSucceeded) System.out.println("SUCCEEDED!!!");
        else System.out.println("FAILED!!!");
    }
    
    /**
     * Tests searching DF method when Agent is null.
     */
    public void testSearchDF_Nulls()
    {
        DFAdapter dfAdapter = DFAdapter.getInstance();
        
        try
        {
            dfAdapter.searchDF(null, "");
            testSucceeded = false;
            LogWriter.writeWarn2Log("INFO", 
            	"testNullAction() - IllegalArgumentException expected");
        }
        catch (IllegalArgumentException ex) {}
    }
}
