package semfly.tests.behaviours;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 *
 * This class is responsible for managing JUnit tests regarding 
 * agents' behaviours.
 */
public class AllTests
{
    public static void main(String[] args)
    {
        junit.textui.TestRunner.run(AllTests.class);
    }
    
    public static Test suite()
    {
        TestSuite suite = new TestSuite("Behaviours suite test");
        
        suite.addTestSuite(AirportsCodesLoaderTest.class);
        suite.addTestSuite(AirportsInfoLoaderTest.class);
        suite.addTestSuite(AirportsInfoProcessorTest.class);
        suite.addTestSuite(CoordinatorReceiverTest.class);
        suite.addTestSuite(CoordinatorSchedulerTest.class);
        suite.addTestSuite(WrapperSenderTest.class);
        suite.addTestSuite(IndexingAgentRequestSenderTest.class);
        suite.addTestSuite(MarriottBehavioursTest.class);
        suite.addTestSuite(SheratonBehavioursTest.class);
        
        return suite;
    }
}
